View Issue Details

IDProjectCategoryView StatusLast Update
0004057Composrcorepublic2020-02-07 02:17
ReporterAdamAssigned ToChris Graham 
Severityminor 
Status resolvedResolutionfixed 
Product Version 
Fixed in Version10.0.30 
Summary0004057: main_multi_content block issues
DescriptionWith infinite scrolling on, the options for pagination, and maximum to show have no effect.
TagsNo tags attached.
Attach Tags
Time estimation (hours)
Sponsorship open

Activities

admin

2020-01-28 19:10

administrator   ~0006319

Automated response: Inconsistency explaining pagination for block options

Pagination for block options should be labelled consistently, and explaining infinite scrolling replaces pagination if configured.

admin

2020-01-28 19:10

administrator   ~0006320

Fixed in git commit 22ddb7229 (https://gitlab.com/composr-foundation/composr/commit/22ddb7229 - link will become active once code pushed to GitLab)

A hotfix (a TAR of files to upload) have been uploaded to this issue. These files are made to the latest intra-version state (i.e. may roll in earlier fixes too if made to the same files) - so only upload files newer than what you have already. Always take backups of files you are replacing or keep a copy of the manual installer for your version, and only apply fixes you need. These hotfixes are not necessarily reliable or well supported. Not sure how to extract TAR files to your Windows computer? Try 7-zip (http://www.7-zip.org/).

hotfix-4057, 2020-01-28 7pm.tar (114,176 bytes)

Chris Graham

2020-01-28 19:13

administrator   ~0006321

I also checked and all the block templates with pagination options have ALLOW_INFINITE_SCROLL=1 in, which can be changed to ALLOW_INFINITE_SCROLL=0 if you want to revert to regular pagination for those blocks.

Adam

2020-01-28 19:15

administrator   ~0006322

Okay, I wasn't sure if those options should override the infinite scrolling, I expected so to be honest.

Adam

2020-02-04 14:18

administrator   ~0006364

Last edited: 2020-02-04 14:47

View 3 revisions

1) ALLOW_INFINITE_SCROLL={$EQ,{DISPLAY_TYPE},FIELDMAPS,GRID} was in CATALOGUE_CATEGORY_EMBED.tpl, which I expect is the template for the main_cc_embed block and it took some finding. Changed to 0 which seems to have done the trick.
2) ALLOW_INFINITE_SCROLL=0 in BLOCK_MAIN_MULTI_CONTENT.tpl, pagination is working but the block title is repeated when a new page is clicked. Refreshing the page removes the extra title.

Chris Graham

2020-02-07 02:17

administrator   ~0006374

Fixed in https://gitlab.com/composr-foundation/composr/commit/f21667f83cb4df085261cfcf261631dd7feb5fdb

Issue History

Date Modified Username Field Change
2020-01-28 06:47 Adam New Issue
2020-01-28 19:13 Chris Graham Note Added: 0006321
2020-01-28 19:15 Adam Note Added: 0006322
2020-01-28 19:15 Adam Status non-assigned => assigned
2020-01-28 19:44 Chris Graham Description Updated View Revisions
2020-01-28 19:44 Chris Graham Status assigned => resolved
2020-01-28 19:44 Chris Graham Resolution open => fixed
2020-02-04 14:18 Adam Note Added: 0006364
2020-02-04 14:32 Adam Note Edited: 0006364 View Revisions
2020-02-04 14:47 Adam Note Edited: 0006364 View Revisions
2020-02-07 02:17 Chris Graham Note Added: 0006374